package vue;

import modele.*;
import modele.Point;

import java.awt.*;
import java.util.Iterator;

public class Affichage implements Operation {
    private Graphics g;
    public Affichage(Graphics contexteGrahique) {
        g = contexteGrahique;
    }
    public void opereSur(Dessin d) {
        for (Figure f : d)
            f.realise(this);
    }
    public void opereSur(Trace t) {
        Point p1, p2;
        Iterator<Point> it = t.iterator();
        p1 = it.next();
        while(it.hasNext()) {
            p2 = it.next();
            g.drawLine(p1.getX(), p1.getY(), p2.getX(), p2.getY());
            p1 = p2;
        }
    }
    public void opereSur(Etoile e) {
        Point p1, p2;
        Iterator<Point> it = e.iterator();
        p1 = it.next();
        while(it.hasNext()) {
            p2 = it.next();
            g.drawLine(p1.getX(), p1.getY(), p2.getX(), p2.getY());
        }
    }
}
